#!/bin/sh -efu

. install2-init-functions

# Detect mail spool mountpoint and enable user quota on it
exec_chroot /usr/share/alterator-users/spool_quota.awk -w /etc/fstab

# Get mountpoint
spool="$(exec_chroot /usr/share/alterator-users/spool_quota.awk -r /etc/fstab)"

# Remount partition with quota enabled
mount "$destdir$spool" -o remount,usrquota

# Update quota file
quotacheck -vgum "$destdir$spool" &> /dev/null
